> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connect.fastenhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Bulk Records

> When provided with a `taskId` and `fileId`, this endpoint will return a signed URL to download the file in the `Location` header.
Your http client should be able to follow the redirect and download the file.

This signed URL will expire after a short period of time, so you should download the file immediately.
If you are unable to do so, you can request a new signed URL by calling this endpoint again.

<Warning>
This endpoint requires an API public id & private key for authentication. Do not expose these keys in the browser.
</Warning>




## OpenAPI

````yaml GET /bridge/fhir/ehi-export/{taskId}/download/{fileId}
openapi: 3.0.1
info:
  title: Fasten Connect
  description: >-
    Useful links:

    - [Fasten Connect API
    repository](https://github.com/fastenhealth/fasten-connect-api)

    - [Fasten Connect Developer
    Portal](https://github.com/fastenhealth/fasten-connect-app)
  termsOfService: https://www.fastenhealth.com/
  contact:
    email: connect@fastenhealth.com
  license:
    name: Private
  version: 1.0.11
servers:
  - url: https://api.connect.fastenhealth.com/v1/
    description: Use this server for both live and test mode.
security: []
tags:
  - name: auth
    description: Portal Authentication & Signup
  - name: user
    description: Operations about user
  - name: org
    description: Operations about organization
  - name: bridge
    description: Customer (organization) facing APIs
  - name: catalog
    description: Catalog APIs
externalDocs:
  description: Find out more about Fasten Connect
  url: https://www.fastenhealth.com/
paths:
  /bridge/fhir/ehi-export/{taskId}/download/{fileId}:
    get:
      tags:
        - bridge
      summary: Download EHI-Export Task Results from S3
      description: >
        When provided with a `taskId` and `fileId`, this endpoint will return a
        signed URL to download the file in the `Location` header.

        Your http client should be able to follow the redirect and download the
        file.


        This signed URL will expire after a short period of time, so you should
        download the file immediately.

        If you are unable to do so, you can request a new signed URL by calling
        this endpoint again.


        <Warning>

        This endpoint requires an API public id & private key for
        authentication. Do not expose these keys in the browser.

        </Warning>
      parameters:
        - name: taskId
          in: path
          description: Task Id
          required: true
          schema:
            type: string
        - name: fileId
          in: path
          description: File Id to download
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 200 Response
          headers:
            Location:
              schema:
                type: string
                format: uri
                description: Signed URL to download the file
                example: >-
                  https://fasten-connect-production-files.s3.amazonaws.com/ehi-export/test/2024-04-03-098c09ef-887d-4aad-886c-d3ffd11750da.jsonl
      security:
        - bridge_basic: []
components:
  securitySchemes:
    bridge_basic:
      type: http
      scheme: basic
      description: >
        [Basic Authentication](/api-reference/authentication), containing API
        Public Id and Private Key generated from the Fasten Connect Portal. **Do
        not expose these keys in the browser.**

````